Subject: Re: per-repository and per-worktree config variables

From: Jens Lehmann <[email-masked]>
Date: Wed, 25 Mar 2015 22:33:48 +0100

Am 18.03.2015 um 22:33 schrieb Max Kirillov:
> On Sun, Feb 08, 2015 at 09:36:43AM -0800, Jens Lehmann wrote:
>> I wonder if it's worth all the hassle to invent new names. Wouldn't
>> it be much better to just keep a list of per-worktree configuration
>> value names and use that inside the config code to decide where to
>> find them for multiple work trees. That would also work easily for
>> stuff like EOL-config and would push the complexity in the config
>> machinery and not onto the user.
>
> I actually thought about the same, and now tend to think
> that most of config variables make sense to be per-worktree
> in some cases. Only few variable must always be per
> repository. I tried to summarize the variables which now
> (in current pu) should be common, also listed all the rest
> so somebody could scan through the list and spot anything I
> could miss.

Thanks for your effort! Looks like my suspicion that not only
submodule specific configuration should be kept per worktree
wasn't completely wrong ;-)

Me thinks Duy's proposal to configure the per worktree settings
in a config file might make lots of sense. We could then provide
a default version of that file with settings that fit most use
cases and the user could then adapt that to her special needs if
needed.